The NEWS file for the Rivendell package.

-------------------------------------------------------------------------------
v4.0.0rc0int4 -- 2 December 2022

First Release Candidate

Major Changes Between v3.x and v4.x:
   Qt Toolkit. Rivendell v4.x uses and is fully compatibile with major
   version 5 of Qt (Qt5). See the INSTALL documents for specifics.

   Date/Time Customizability. Date/Time presentation formats can now be
   customized on the basis of site preferences.

   MySQL Compatibility. Rivendell v4.x aims for full compatibility with
   MySQL 8.0 and earlier versions in their default installation
   configurations.

   RDAirPlay. The rdairplay(1) module has been completely overhauled, and
   now supports dynamic resizeability as well as a revamped level metering
   system.

   RDPanel. The rdpanel(1) module now supports dynamic resizing.

   RDLogManager. It is now possible to disable grid processing on a
   service-by-service basis, thus permitting a complete schedule to
   be generated by an external music scheduler. See the 'Bypassing Grid
   Processing' section in the 'Generating Logs and Reports with
   RDLogManager' section of the Operation Guide for details.

   Many bug and regression fixes. See the 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 365, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v4.0.0beta3 -- 13 Oct 2021

   Fourth beta release of Rivendell v4.x. Be sure to read the INSTALL
   document, as major changes in software dependencies have occurred.

Major Changes Between v3.x and v4.x:
   Qt Toolkit. Rivendell v4.x uses and is fully compatibile with major
   version 5 of Qt (Qt5). See the INSTALL documents for specifics.

   Date/Time Customizability. Date/Time presentation formats can now be
   customized on the basis of site perferences.

   MySQL Compatibility. Rivendell v4.x aims for full compatibility with
   MySQL 8.0 and earlier versions in their default installation
   configurations.

   RDAirPlay. The rdairplay(1) has been completely overhauled, and now
   supports dynamic resizeability as well as a revamped level metering
   system.

   RDPanel. The rdpanel(1) now supports dynamic resizing.

   Many bug and regression fixes. See the 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 355, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v4.0.0beta2 -- 31 July 2021

   Third beta release of Rivendell v4.x. Be sure to read the INSTALL
   document, as major changes in software dependencies have occurred.

Major Changes Between v3.x and v4.x:
   Qt Toolkit. Rivendell v4.x uses and is fully compatibile with major
   version 5 of Qt (Qt5). See the INSTALL documents for specifics.

   MySQL Compatibility. Rivendell v4.x aims for full compatibility with
   MySQL 8.0 and earlier versions in their default installation
   configurations.

   RDAirPlay. The rdairplay(1) has been completely overhauled, and now
   supports dynamic resizeability as well as a revamped level metering
   system.

   RDPanel. The rdpanel(1) now supports dynamic resizing.

Database Update:
   This version of Rivendell uses database schema version 350, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v4.0.0beta1 -- 10 June 2021

   Second beta release of Rivendell v4.x. Be sure to read the INSTALL
   document, as major changes in software dependencies have occurred.

Major Changes Between v3.x and v4.x:
   Qt Toolkit. Rivendell v4.x uses and is fully compatibile with major
   version 5 of Qt (Qt5). See the INSTALL documents for specifics.

   MySQL Compatibility. Rivendell v4.x aims for full compatibility with
   MySQL 8.0 and earlier versions in their default installation
   configurations.

Database Update:
   This version of Rivendell uses database schema version 349, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v4.0.0beta0 -- 7 May 2021

Changes:
   First beta release of Rivendell v4.x. Be sure to read the INSTALL
   document, as major changes in software dependencies have occurred.

Database Update:
   This version of Rivendell uses database schema version 349, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.5.0int0 -- 24 December 2020

Changes:
   RDImport. Added the user's e-mail address to the set of addressees used
   when the '--send-mail' switch is used.

Database Update:
   This version of Rivendell uses database schema version 346, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.5.0 -- 12 December 2020

Changes:
   Podcasting Subsystem. Major refactoring, with explicit support of
   iTunes and Superfeed DTDs added. All feed elements, including XML elements,
   are now statically served rather than dynamically generated.

   RDLogManager. Added control to specify explicitly how Start
   Times/Lengths are derived for Inline Events (traffic, markers and
   voice tracks).

   Dropboxes. Added the ability to generate e-mail reports for each
   attempted file import.

   GVC7000 Switcher Driver. Modified the 'GVC7000 Protocol' switcher
   driver to better handle stacked commands.

   WebGet. Modified the WebGet service to offer audio profiles when
   exporting audio rather than having the user set individual export
   parameters. Added the ability to upload audio files into specified
   Rivendell groups.

   Audio Library. Deprecated the ability to enforce unique cart titles.

   Various bugfixes. See 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 346, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.4.1 -- 21 July 2020

Changes:
   As-played Reports. Added a 'Results Report'.

   Various Bugfixes. See 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 317, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.4.0 -- 19 May 2020

Changes:
   Edit Event dialog in rdlogmanager(1) - Cleaned up the layout of the
   'Edit Event' dialog in rdlogmanager(1) to better reflect operational
   flow.

   Multiple Bugfixes. See 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 317, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.3.0 -- 16 March 2020

Changes:
   MusicBrainz Integration. The CD rippers in rdlibrary(1) can now be
   configured to use MusicBrainz as a metadata source as an alternative
   to FreeDB. (Configured in RDAdmin->ManageHosts->RDlibrary).

   CD-TEXT Support. Removed support for CD-TEXT.

   Metadata Wildcards. Support for the following metadata wildcards has
   been added:
      '%wc' - Industry Standard Commercial Identification (ISCI) code
      '%wi' - International Standard Recording Code (ISRC)
      '%wm' - MusicBrainz recording ID
      '%wr' - MusicBrainz release ID

   Filepath Wildcards. Added a 'delta-seconds' modifier to the format for
   filepath wildcards to allow specification of a +/- time offset. See
   Appendix D 'Filepath Wildcards' in the Operations Guide for details.

   New RML. Added a 'Disconnect All Jack Ports' ['JZ'] RML.

   New Report. Added a 'CounterPoint Traffic Reconciliation v2' report.

   Multiple bugfixes. See 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 314, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.2.1 -- 24 January 2020

Changes:
   Numerous bug fixes. See the 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 311, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.2.0 -- 31 October 2019

Changes:
   Voice Tracker. Added the ability to configure the caption displayed
   for the first and third voicetrack waveforms in the Voicetracker
   dialog in rdlogedit(1).

   Display Fonts. Reworked the font management system to permit the fonts
   used in the UI to be specified in rd.conf(5).

   Various bug fixes. See the 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 311, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.1.0 -- 19 September 2019

Changes:
   Fixed a bug in rdairplay(1) and rdvairplayd(8) where only the first
   log machine set to 'load specified log' would do so.

   Fixed a bug in rdlogedit(1) that caused hard start log items
   to have the Hour field doubled.

   Refactored the Python 'pypad.Update.shouldBeProcessed()' method
   to work correctly when using try: blocks in a PyPAD script.

   Refactored the PyPAD scripts to route updates properly in accordance
   with log directives in their configuration file.

   Fixed a bug that broke dropbox logging to individual files.

   Refactored rdalsaconfig(1) to be more robust and intuitive.

   Fixed a bug in caed(8) that broke timescaling support.

   Added a 'pypad_httpget.py' PyPAD script.

   Fixed bugs in rdlibrary(1) that broke CD ripping.

   Updated CDDB code to use protocol level 6 (UTF-8 enabled).

   Added an '%l' wildcard to Filepath Wildcards for 'unpadded month'.

   Other Bugfixes, see the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 310, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.3 -- 5 August 2019

This is a bugfix release of Rivendell.

Changes:
   Fixed a regression in ripcd(8) that broke the 'Connect Jack
   Ports' ['JC'] and 'Disconnect Jack Ports' ['JD'] RMLs.

Database Update:
   This version of Rivendell uses database schema version 308, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.2 -- 31 July 2019

This is a bugfix release of Rivendell.

Changes:
   New Switcher Device. Added support for switchers using the Grass
   Valley 7000 series protocol.

   Fixed a problem with the Local Audio Adapter switcher driver that
   caused incorrect operation with the 'Switch Add' ['SA'], 'Switch Remove'
   ['SR'] and 'Switch Take' ['ST'] RMLs.

   Fixed a regression in rdlibrary(1) that caused macro carts entries
   to turn red after being viewed.

   Fixed regressions that made operations with serial devices unreliable.

   Other enhancements and bugfixes. See the 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 308, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.1 -- 16 July 2019

This is the first production release of Rivendell 3.x. Many changes
and enhancements have been made over v2.x; see the 'Changes' section
below for a list of the major ones. If you are upgrading from previous
v1.x or v2.x version of Rivendell, please see the file 'UPGRADING' for
important information.

Changes:
   Rivendell is now Unicode UTF-8 clean.

   Qt4 is now used throughout Rivendell instead of Qt3.

   A multicast update system has been added that allows Rivendell
   modules to update views syncronously in step with changes made in
   other modules.

   The Rivendell Loadable Modules system for processing PAD data has
   been completely replaced by PyPAD, allowing PAD processing plug-ins
   to be written in the popular Python scripting langauge. Backward
   compatible replacement scripts for many of the RLM plug-ins supplied
   in Rivendell v2.x are included.

   Added a compatibility library to facilitate the use of the Rivendell
   Web API in external applications.

   A system of virtual log machines has been added, allowing play-out
   of up to 23 logs simultaneously.

   Rivendell is now fully systemd compatibile.

   The Windows ports of rdlogedit(1) and rdlogmanager(1) have been
   removed.

Database Update:
   This version of Rivendell uses database schema version 308, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0rc03 -- 1 July 2019

Fourth release candidate for v3.x.

Please see the file 'UPGRADING' for important information.

Changes:
   Added a 'SyslogFacility=' directive to rd.conf(5) to allow custom
   syslog setups.

   Numerous bugfixes. See the 'ChangeLog' for details.

Database Update:
   This version of Rivendell uses database schema version 308, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0rc02 -- 3 May 2019

Third release candidate for v3.x.

Please see the file 'UPGRADING' for important information.

Changes:
   RDImport Bugfix. Fixed a regression that broke audio importation
   in rdimport(1)

Database Update:
   This version of Rivendell uses database schema version 308, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0rc01 -- 2 May 2019

Second release candidate for v3.x.

Please see the file 'UPGRADING' for important information.

Changes:
   SQL Cleanups. Cleaned up date-time handling in SQL calls to allow
   proper operation with current MySQL/MariaDB releases.

   RDLibrary Reports. Fixed bugs in the 'Cart Data Dump (CSV)' report and
   removed the 'Cart Data Dump (fixed width)' report.

   Licensing. Changed the licensing of the Rivendell Operations Guide to
   be the GNU Free Documentation License.

   Python Integration. Modified the 'rivendell-pypad' RPM package to always
   use Python 3.6.

   Various other bugfixes. See the 'ChangeLog' for details. 

Database Update:
   This version of Rivendell uses database schema version 308, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0rc00 -- 22 March 2019

First release candidate for v3.x.

Please see the file 'UPGRADING' for important information.

Changes:
   New PyPAD script. Added a 'pypad_xcmd.py' PyPAD script for sending PAD
   data to RDS encoders supporting the Pira.cz X-Command protocol.

   Run Shell Command [RN]. Added 'RnRmlOwner=' and 'RnRmlGroup='
   directives in the '[Identity]' section of rd.conf(5) to allow
   specification of the user/group under which to run commands.

   Music Scheduler. Artist Separation is now specified on a per-event
   basis (similar to Title separation) rather than per-clock.

   Many fixes for bugs and regressions. See the 'ChangeLog' for details. 

Database Update:
   This version of Rivendell uses database schema version 307, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0beta00 -- 17 January 2019

First beta release for v3.x.

Changes:
   Please see the file 'UPGRADING' for important information.

Database Update:
   This version of Rivendell uses database schema version 305, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0alpha05 -- 11 January 2019

Fifth alpha release for v3.x.

Changes:
   Added PAD updating system by means of JSON messages pushed via TCP
   port 34289.

   Added a Python scripting system for processing PAD updates (PyPAD).

   Removed the Rivendell Loadable Module (RLM) subsystem.

   Removed the legacy v1.x UDP PAD update system.

Database Update:
   This version of Rivendell uses database schema version 305, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0alpha04 -- 16 November 2018

Fourth alpha release for v3.x.

Changes:
   Added a TagLib dependency. See 'INSTALL' for details.

   Cleaned up various regressions. See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 299, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0alpha03 -- 2 November 2018

Third alpha release for v3.x.

Changes:
   Added automounter support for managing the audio store via rdselect(1).

   Cleaned up various regressions. See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 298, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0alpha01 -- 29 October 2018

Second alpha release for v3.x.

Changes:
   Cleaned up various regressions. See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 298, and will
   automatically upgrade any earlier versions. To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v3.0.0alpha00 -- 19 October 2018

Initial alpha release for v3.x.

Database Update:
   This version of Rivendell uses database schema version 297, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   Be sure to run 'rddbmgr --modify' (as root) immediately after upgrading
   to allow any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.19.2int01 -- 8 May 2018

Changes:
   Fixed a bug that caused the 'Switcher Matrix' and
   'Switcher Output' dropdowns to populate incorrect values when
   selecting a non-local 'Switcher Host' in the 'Configure RDCatch'
   dialog in rdadmin(1).

   Fixed a bug in rdlogmanager(1) that caused the initial transition
   type specified in the 'IMPORT' section of the 'Editing Event' dialog
   to be applied to both the parent log link and the first imported
   event when the 'PRE-IMPORT CARTS' list was empty and no Timed Start
   was enabled.

Database Update:
   This version of Rivendell uses database schema version 275, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.19.2 -- 14 April 2018

Changes:
   HPI Support. Fixed a regression in the HPI support layer that broke
   audio capture with adapters lacking DMA bus-mastering support.

Database Update:
   This version of Rivendell uses database schema version 275, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.19.1 -- 27 March 2018

Changes:
   HPI Support. Implemented support for DMA bus-mastering for AudioScience
   HPI devices.

   RDHpiInfo. Removed rdhpiinfo(8). Replaced by the stand-alone 'hpiinfo'
   package.

   RDCatch Play Events. Removed the event time check for Playout events in
   rdcatch(1), as there is no sane way to determine a consistently 'free'
   playout time in the face of shifting cut lengths.

   RDLogManager. Fixed a bug in rdlogmanager(1) that caused DB corruption
   when	a clock was deleted while still being assigned to a grid.
   
Database Update:
   This version of Rivendell uses database schema version 275, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.19.0 -- 22 February 2918

Changes:
   Log Locking. Implemented a system-wide protocol to prevent changes
   made to a log on one host from being inadvertently overwritten from
   another host.

   Log Importation Changes. Changed music and traffic importation so that
   parent link events are still visible in linked logs.

   Added the ability to specify automatic log deletion on the basis of
   either the Creation Date or Air Date of the log.

   Fixed a bug in rdlibrary(1) that caused evergreen cart/cuts to fail
   to be highlighted in the correct color.
   
Database Update:
   This version of Rivendell uses database schema version 275, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.18.2 -- 29 December 2017

Changes:
   Fixed a bug that caused creation of new clocks in rdlogmanager(1) to
   fail to initialize music scheduler components correctly in the database.

Database Update:
   This version of Rivendell uses database schema version 272, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.18.1 -- 22 December 2017

Changes:
   Fixed a bug that caused creation and initialization of a new Rivendell
   database to fail.

Database Update:
   This version of Rivendell uses database schema version 272, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.18.0 -- 21 December 2017

Changes:
   Documentation Overhaul. The Rivendell Operations Guide has been
   exapanded and incorporated as part of the base Rivendell source
   in 'docs/opsguide. Most of text notes previously located in 'docs/'
   added as appendices. Remaining unconverted text notes can now be found
   in 'docs/misc/'.

   Group Cut Expiration Policy. Added the ability to set a default
   End Date/Time for new cuts on a per-group basis. See the
   'Set End Date/Time' control in RDAdmin->ManageGroups.

   Host Short Name. Added a 'Short Name' parameter to Host profiles.

   Macro Carts. It is now possible to use filepath wildcards in macro carts.

   New Host Wildcards. Added the following new host wildcards:
      %r - Rivendell Host Name
      %R - Host Short Name

   Provisioning Support. Added the following directives to the [Provisioning]
   section of rd.conf(5) to facilitate automatic provisioning of hosts:
      	NewHostShortNameRegex=<regex>
	NewHostShortNameGroup=<num>
	NewServiceNameRegex=<regex>
	NewServiceNameGroup=<num>

   MySQL Configuration. Added the following parameters to the [mySQL]
   section of rd.conf(5) to force use of a specified engine type, charset
   and collation:
        Engine=<engine-type>    [DEFAULT: MyISAM]
        Charset=<charset>       [DEFAULT: latin1]
	Collation=<collation>   [DEFAULT: latin1_swedish_ci]

   Dropbox Enhancements. Added the ability to specify creation of default
   Segue Markers when processing files via dropbox. See
   RDAdmin->ManageHosts->Dropbox.

   RDImport/DropBox Enhancements. Added the ability to specify start
   and end datetimes via metadata pattern.

   RDCatch Event Filtering. Added the ability to filter by event type in
   RDCatch.

   Log Searching. A search filter (similar to that employed for seaching
   for carts) has been added to the List Logs dialogs.

   Service Filtering in RDLogEdit. Added the ability to limit the visible
   set of logs in RDLogEdit by user. Configured in RDAdmin->ManageUsers.

   Log Purge/Deletion Changes. Logs created manually (in rdlogedit(1) or
   rdairplay(1)) are now assigned a default purge/deletion date in accordance
   with the setting in RDAdmin->ManageServices.

   Web API Changes. Added 'FILTER' and 'RECENT' call parameters to the
   'ListLogs' Web API call. See the API documentation in
   'docs/apis/web_api.pdf' for details.

   Various other bug fixes.  See the ChangeLog for details.   

Database Update:
   This version of Rivendell uses database schema version 272, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.17.0 -- 11 October 2017

Changes:
   New RML. Added the 'Air Gate' ['AG'] RML to permit conditional execution
   of RML on the basis of the status of the On-Air flag.

   New Icons. Implemented a new icon set, with individualized icons for
   each Rivendell module. A big thanks to Josh Edelstein <edelsteinj@rfa.org>
   for the artwork!

   User Authentication. It is now possible to configure RDLogin to require
   entry of the user-name, rather than picking the name off of a list. See
   the 'Show User List in RDLogin' checkbox in RDAdmin->SystemSettings.

   New Switcher/GPIO Devices. Support has been added for the following
   Switcher/GPIO devices:
      Broadcast Tools Universal 4.1 MLR>>Web Switcher
      WheatNet LIO
      WheatNet SLIO

   Dropbox Enhancements. Added the ability to force imports to be imported
   as mono, as well as the ability to reset an individual dropbox.

   Log Rendering (EXPERIMENTAL). It is now possible to 'render' a log as a
   single audio object (file or cart/cut) without the need to play it out
   while capturing the audio in realtime. Render support is available
   through the 'Render' button in RDLogEdit and through the command-line
   rdrender(1) utility. See the rdrender(1) man page for details.

   Web API. Many fixes and enhancements to improve operation. See the
   ChangeLog for details.

   Provisioning Support. Added a [Provisioning] section to rd.conf(5)
   with directives to facilitate the automatic provisioning of Rivendell
   instances. See the comments in the [Provisioning] section of the
   sample rd.conf(5) file.

   Various other bug fixes.  See the ChangeLog for details.   

Database Update:
   This version of Rivendell uses database schema version 268, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.16.0 --  2 June 2017

Changes:
   Audio Store Hashing. Rivendell now automatically generates a SHA1 hash
   for each file in the audio store and records this value in the database,
   thus permitting automated recovery of audio in the event of loss or damage
   to the audio store's filesystem directory. See the --relink-audio option
   in the rddbcheck(8) man page for details.

   Kernel GPIO. Added switcher support for Kernel GPIO devices, such as
   the GPIO interface on the Raspberry Pi 2 and 3.

   Modbus TCP. Added switcher support for Modbus TCP devices.

   RDConvert. Added an rdconvert(1) utility,

   User Authentication. It is now possible to delegate authentication of
   Rivendell users by means of a PAM module, thus permitting 'single sign-on'
   integration with systems such as ActiveDirectory and FreeIPA.

   Web API. Added various methods to the Rivendell Web API to permit
   integration with external audio and log editors.

   Various other bug fixes.  See the ChangeLog for details.   

Database Update:
   This version of Rivendell uses database schema version 263, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.15.3 --  24 March 2017

Changes:
   TagStation RLM.  Added an RLM for generating TagStation events for
   NextRadio.

   Web API.  Added 'AddLog', 'DeleteLog' and 'SaveLog' calls to the web
   API, along with general cleanup and correction of the overall Web API
   subsystem.

   MPEG Layer 3 Cleanups.  Fixed bugs in MP3 file importation that
   caused files with variable bit rate (VBR) to be truncated during import.

   Fixed a bug that caused dynamically loaded codec libraries to fail
   to be detected if the corresponding library's -devel package was not
   installed.

   Various other bug fixes.  See the ChangeLog for details.   

Database Update:
   This version of Rivendell uses database schema version 259, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.15.2 --  13 January 2017

Changes:
   WallTime RLM.  Refactored the 'rlm_walltime' RLM to be compatible with
   v1.1.0 firmware.

   Create Database Bug Fix.  Fixed a bug in database creation that caused
   incompatibility with MySQL InnoDB tables.

   WAV Format Change.  Implemented a workaround in WAV file generation
   to avoid compatibility issues with certain proprietary audio editors.

   LiveWire Multicast GPIO Driver.  Added the ability to generate GPO
   events.

   Web API.  Added 'CREATE' and 'GROUP_NAME' parameters to the 'Import'
   call.

   Various other bug fixes.  See the ChangeLog for details.   

Database Update:
   This version of Rivendell uses database schema version 259, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.15.1 --  5 August 2016

Changes:
   WAV File Format. Tweak WAV file export format to enhance compatibility
   with various third-party applications.

   Various other bug fixes.  See the ChangeLog for details.   

Database Update:
   This version of Rivendell uses database schema version 259, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.15.0 --  29 July 2016

Changes:
   RDExport Enhancements.  Added switches to control audio format of
   exported files as well as full-fidelity Rivendell metadata export
   via embedded RDXML chunks and the --xml switch. See the rdexport(1)
   and rdimport(1) man pages for details.

   Command-line Log Editor.  Added an rdclilogedit(1) command to permit
   editing of logs from the command-line or scripts. See the
   rdclilogedit(1) man page for details.

   Internal DB Changes.  Normalized DB table structure to permit full
   compatibility with the MySQL InnoDB data engine.

   Various other bug fixes.  See the ChangeLog for details.   

Database Update:
   This version of Rivendell uses database schema version 259, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.14.1 --  11 June 2016

Changes:
   Fixed regressions in processing NULL date values.

Database Update:
   This version of Rivendell uses database schema version 258, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.14.0 --  10 June 2016

Changes:
   Event Recording.  Added the ability to capture real-time events in
   RDCatch recordings and replay them in sync with the captured audio
   via RDCatch playout decks (see RDAdmin->ManageHosts->RDCatch to
   configure).

   New RML. Added a 'Cut Event' ['CE'] RML for placing real-time event
   markers into active RDCatch recordings.

   Traffic Import Enhancements.  Added support for specifying precise
   Start Time and Length parameters for Traffic events embedded within
   Music events.

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 258, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.13.0 --  10 May 2016

Changes:
   New RLM.  Added a 'rlm_walltime' RLM for the Paravel Systems WallTime
   clock.

   New Utility.  Added an rdexport(8) command utility.  See the rdexport(1)
   man page for details.

   New Report.  Added a 'Cut Log' report that includes the Description
   field for played events.

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 255, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.12.0 --  14 April 2016

Changes:
   Sequential Cut Play-Out.  Cuts can now be configured on a per-cart basis
   to play in a set sequential order rather than by relative weight value.

   New Switcher Support.  Support has been added for the Broadcast Tools
   ADMS 44.22 and SS 4.1 MLR switchers.

   New RML.  A 'Copy Cut' ['CP'] RML has been added that allows cuts to
   be copied between carts.

   RDLogEdit Changes.  Added a 'Show Only Recent Logs' checkbox.

   New Web API Methods.  The following new methods have been added to the
   web API:
       AssignSchedCode
       ListCartSchedCodes
       ListSchedCodes
       UnassignSchedCode

   Database Schema Reversion.  Added an rdrevert(8) command to allow
   database schema changes to be reverted to an earlier version (experimental).

   Documentation Changes.  The documentation has been converted to
   XML-DocBook5.

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 254, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.11.0 --  18 September 2015

Changes:
   New RDCatch Up/Download Protocols.  Added support for 'sftp' and 'scp'
   protocols .

   MP4/AAC File Importation.  Added support for importing MP4/AAC audio
   files.  (See the 'INSTALL' file for details regarding additional
   libraries required to activate).

   New Switcher Support.  Added support for the Ross NK series of video
   switcher via the Ross SCP/A module.  See the 'SWITCHERS'txt' file for
   details.

   PCM24 Support.  Added support for using PCM24 in the core audio library.

   CD Ripper.  Refactored CD ripper code to provide faster and more
   reliable operation.

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 245, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.10.3 --  24 February 2015

Changes:
   New RLM.  Added a Rivendell Loadable Module for the Live365 'Add Song'
   service.

   New AsPlayed Reports.  Added 'Mr. Master' and 'Spin Count' reports.

   Modem Lines Switcher Driver.  Added support for using RS-232C modem
   handshake lines for GPIO.

   Software Authority Switcher Driver.  Added support for switcher devices
   using the 'Software Authority' protocol (such as PathFinder PC/PRO).

   rdmarkerset(8) Enhancements.  Added the ability to set segue marker
   positions in rdmarkerset(8).

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 242, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.10.2 --  26 November 2014

Changes:
   RDImport Enhancements.  Added '--clear-datetimes' and
   '--clear-daypart-times' options to rdimport(1).

   ELR Data.  Added a column to allow ELR data to be seen when editing
   logs in RDLogEdit.

   HPI Fixes.  Fixed a bug that caused ASI cards with only AES3 ports
   to fail to detect those ports.

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 242, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v2.10.1 --  4 November 2014

Changes:
   RDHpiInfo Enhancements.  Added DSP utilization and profiling data
   readouts for AudioScience audio adapters to rdhpiinfo(8).

   RDLogEdit Enhancements.  Added an 'EXT DATA' column to the Edit Log
   screen in rdlogedit(1) to allow visibility of ELR GUID data when
   making edits.

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 242, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.10.0 --  28 October 2014

Changes:
   Updated Translation.  A new French translation has applied, courtesy
   of the good folks at Tryphon [http://www.tryphon.eu/].

   Log Tools Enhancements.  Added various UI enhancements in RDLogManager
   and RDLogEdit.

   GPIO Logging.  Added an event viewer in RDGpiMon to allow GPIO events
   to be logged and viewed.

   Music Scheduler Enhancements.  Added the ability to utilize a second
   Scheduler Code in music events in RDLogManager.

   Report Generation Enhancements.  Added the ability to specify a
   post-export script when generating reports (analogous to pre-import
   scripts for log imports).

   RDImport Enhancements.  Added  -set-marker-start-*=',
   '--set-marker-end-*=', '--set-marker-fadeup*=' '--set-marker-fadedown*=',
    '--set-string-*=' and  '--set-datetimes' options for rdimport(1).

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 242, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.9.3 --  18 September 2014

Changes:
   Fixed a DSP bug that caused audio distortion in the Local Audio Adapter
   device for ALSA.

   Various other bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 239, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.9.2 --  11 September 2014

Changes:
   Fixed a regression that broke report generation.

   Various bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 239, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.9.1 --  10 September 2014

Changes:
   RDImport Enhancements.  Added '--cart-number-offset' and
   '--set-daypart-times' switches to rdimport(1) while also extending
   metadata import for SCOT chunks to include segue marker data.
   
   New Device Support.  Added support for the Broadcast Tools
   GPI-16 General Purpose Input Module.  See the 'SWITCHERS.txt' file
   for details.

   Build System Cleanups.  Cleaned up many autotool and compiler warnings
   while also implementing a '--sysconfdir=' switch in 'configure'.  See
   the 'INSTALL' file for details.

   Various bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 239, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.9.0 --  4 June 2014

Changes:
   Cart Notes Display.  'Cart Notes' information can now be displayed in
   the 'Edit Events' dialog in RDAirPlay.

   RDLogManger Command Line Enhancements.  A '-P' switch has been added
   to prevent existing logs from being overwritten by batched jobs.

   Report Enhancements.  Added a 'Classical Music' as-played report,
   as well as the ability to filter all reports on the basis of daypart
   range.

   New Scheduler Code Support.  Added an '--add-scheduler-code=' switch
   to rdimport(1) and the ability to specify a set of scheduler codes to
   be added to new carts on a per-dropbox basis in
   RDAdmin->ManageHosts->Dropboxes. 

   RDLibrary Cart Status Highlighting.  Carts whose dayparting indicates
   a start time in the future are now highlighted in cyan rather than red.

   New RML.  An 'Append Log' ['AL'] RML has been added.

   Full Disc Ripper Enhancements.  The Full Disc Ripper ('Rip Disk' in
   RDLibrary) has undergone a major overhaul, now allowing for multi-track
   rips to a single cut and streamlined assignments of selected tracks to
   new carts.

   Various bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 239, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.8.2 --  16 May 2014

Changes:
   This is a maintenance release of Rivendell.  It fixes several bugs,
   but provides no new functionality.  Some of the fixes include:

   UTF-8 Character Handling.  Improved handling of multi-byte UTF-8
   characters, especially in the RLM subsystem.

   More robust MPEG-1 import support (contributed by Chris Smowden).

   See the ChangeLog for additional details.

Database Update:
   This version of Rivendell uses database schema version 234, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.8.1 --  28 February 2014

Changes:
   New Switcher Device.  Added support for the Broadcast Tools Sentinel4Web
   AES Switcher.

   Cart Recuing.  Added a 'Recue' button in RDAirPlay's Edit Event dialog
   to allow fast recuing of carts that were inadvertently started.

   Various bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 234, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.8.0 --  14 February 2014

Changes:
   Drag and Drop Configurability.  It is now possible to enable/disable
   drag and drop capability on a per-host basis as well as configure cart drops
   to honor the Setup mode on Sound Panels.  See RDAdmin->ManageHosts to
   configure.

   Metadata Fields.  Added 'Album' and 'Label' to the fields
   displayed in Cart List in RDLibrary and the Full Log widget in
   RDAirPlay.

   Independent Log Modes.  It is now possible to configure RDAirPlay so
   that log modes (LiveAssist vs. Automatic vs. Manual) can be set
   independently for each log machine.  See RDAdmin->ManageHosts->RDAirPlay
   to configure.

   Cue Channel Assignments.  Channel assignments for cue output from all
   modules (include that for RDAirPlay) is now configured in
   'RDAdmin->ManageHosts.

   Various bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 234, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.7.0 -- 17 January 2014

Changes:
   Cart Label Customization.  It is now possible to customize the fields
   displayed in the Button Log widgets in RDAirPlay and RDCartSlots by
   means of templates defined in the 'Display Settings' section of
   RDAdmin->ManageHosts->RDAirPlay.

   RLM API Extensions.  Added support for 'Outcue' and 'Description' fields
   to the RLM API.

   'Limit Searches' Configuration.  Added the ability to specify the
   state of the 'Show Only First 100 Matches' checkbox in RDLibrary at
   module startup.

   Log Description Template.  Added the ability to generate custom log
   descriptions by means of a template specified in RDAdmin->ManageServices.

   CD Ripper Optimizations.  Optimized CD ripping to work faster and
   more reliably.

   Updated Spanish [es] Translation.  Provided by Luigino Bracci
   <lbracci@gamil.com>.

   Import Format Support.  Added support for AIFF audio file imports.

   RDMarkerSet Utility.  Added an rdmarkerset(8) command-line utility
   to allow Start/End Library markers to be modified on a bulk basis.

   Various bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 231, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.6.2 --  3 January 2014

Changes:
   Fixed a bug in RDLogEdit that threw a segfault when dropping a cart
   onto the end of a log.

Database Update:
   This version of Rivendell uses database schema version 224, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.6.1 --  2 January 2014

Changes:
   Drag and Drop.  Added the ability to drag and drop carts within and
   between Rivendell modules.

   Useability Tweaks.  Modified UI behavior to improve ease of use for
   SoundPanels and RDLibrary.  See the ChangeLog for details.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 224, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.6.0 -- 13 December 2013

Changes:
   RDDiscImport Utility.  A utility has been added for bulk importation
   of material from audio CDs using external metadata.

   Audio Importation Enhancements.  Added support for reading metadata
   from WAV files containing 'AIR1' metadata chunks.

   NaturalLog Support.  Added a log import preset and reconciliation report
   for the 'NaturalLog' traffic system.

   New Library Metadata Fields.  Added Library metadata fields for
   'Conductor', 'Song ID' and 'Beats per Minute'.

   New RDImport Option.  Added a '--set-user-defined' option to RDImport.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 224, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.5.5 -- 19 November 2013

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   RLM API Extension.  Added new fields to the 'rlm_pad' struct to
   allow plug-ins to determine actual and predicted start times for events.

   RDMonitor Enhancements.  Extended RDMonitor to allow proper positioning
   on multi-head displays.

   LiveWire Switcher Driver Changes.  The switcher drivers for LiveWire
   have been refactored into three separate drivers:
      LWRP Audio - Allows switching of audio routes on LiveWire devices.

      LWRP GPIO - Allows monitoring and control of LiveWire GPIO devices
      via LWRP (both virtual and direct).

      Multicast GPIO - Allows monitoring and control of LiveWire console
      GPIO without the need for a virtual LWRP device.

   See 'SWITCHERS.txt' for details.

   RDSelect Enhancements.  Added support for specifying CAE and RDXport
   service assignments via RDSelect configurations.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 220, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.5.4 -- 1 November 2013

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   RLM API Extension.  A RLMResolveNowNextEncoded() function has been
   added to the RLM API to provide efficient support for generating XML
   and URL encoded data in plug-ins.

   Voice Tracker Fixes.  Corrected a bug in the voice tracker that caused
   peak data errors when employing MPEG encoding on voice tracks.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 220, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.5.3 -- 4 October 2013

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   Multitrack Rip Support.  It is now possible to rip multiple CD tracks
   into a single cut using the single cut ripper in RDLibrary.

   RDCartSlot Enhancements.  It is now possible to set custom 'one off'
   Start and End cuepoints for events.

   Spinitron Integration.  A 'spinitron_plus' RLM has been added that can
   be used to log PAD data to the Spinitron playlist service
   (http://www.spinitron.com), as well as a cart data export that can be
   used to populate Spinitron MusicDB libraries.  See the Spinitron
   'Automation Integration' document for details.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 220, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.5.2 -- 3 July 2013

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   Binary Escape Codes.  It is now possible to craft messages for the
   'Serial Out' ['SO'] and 'UDP Out' ['UO'] RMLs containing arbitrary
   binary sequences.  See the 'BINARY DATA' section of 'docs/rml.sxw'
   for details.

   New Switcher Device.  A switcher driver has been added for the
   360 Systems AM16 Audio Crosspoint Switcher.  See 'docs/SWITCHERS.txt'
   for details.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 220, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.5.1 -- 22 May 2013

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   Mass Object Deletion.  Added an rddelete(1) command-line tool to
   aid in the mass deletion of carts and logs.  Do rddelete --help
   for more information.

   NexGen Importer.  Added PKT file support to nexgen_filter(1).

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 220, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.5.0 -- 1 April 2013

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   LiveWire Virtual GPIO Driver.  Added a fully native virtual GPIO
   LiveWire driver for situations where the proprietary software
   LiveWire/ALSA driver is not available (e.g. when using an ASI6x85
   adapter).  See 'SWITCHERS.txt' for details.

   Console Channel Control.  Added the capability to automate
   console channel ON/OFF control bidirectionally from RDAirPlay.
   (Configured in RDAdmin->ManageHosts->RDAirPlay).

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 220, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.4.0 -- 28 January 2013

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   New Translation.  A Czech [CS] translation has been added by
   Pavel Fric <pavelfric@seznam.cz>.

   New Cart/Cut Purge Option.  A new option has been added in
   RDAdmin->ManageGroups to allow empty carts to be automatically deleted
   after purging.

   New Reports.  'NPR SoundExchange' and 'Music Playout' reports
   have been added in RDAdmin->ManageReports.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 216, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.3.0 -- 21 December 2012

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   RDCartSlots Module.  A new Rivendell module has been added that is
   optimized for use in busy live assist environments, along with four
   new RMLs ('Load Slot' ['DL'], 'Play Slot' ['DP'], 'Stop Slot' ['DS']
   and 'Execute Breakaway' ['DX']) for automating its operation.

   RDAirPlay Enhancements.  A set of buttons for quickly locating a given
   hour has been added to the Full Log widget, enabled by checking the
   'Show Hour Selector' box in RDAdmin->ManageHost->RDAirPlay.

   JACK Enhancements.  It is now possible to specify the command-line
   used to start jackd(8) and a list of clients to start when
   starting the Rivendell service.  See RDAdmin->ManageHosts->JackSettings.

   Switcher/GPIO Device Support.  Added support for the Sine Systems ACU-1
   switcher.  See 'SWITCHERS.txt' for details.

   Cue Output Assignments.  Cue output assignments for all modules
   except RDAirPlay have now been consolidated into one setting in
   RDAirPlay->ManageHosts.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 213, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.2.1 -- 23 October 2012

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   RDMonitor Module.  A persistent desktop applet has been added that
   continuously monitors the health of the system and alerts the operator
   in the event of any detected problems.  See 'RDMONITOR.txt' for usage
   and configuration info.

   Sage Digital ENDEC Control.  A 'sage_endec_rwt.sh' script has been
   added that allows a Required Weekly Test (RWT) to be executed on a
   Sage Digital ENDEC via TCP/IP.  See 'SAGE_ENDEC.txt' for usage and 
   configuration info.

   Cut Attribute Searching.  The cart filter will now include the
   attributes of underlying cuts when searching the library.

   RDCheckCuts Utility.  An rdcheckcuts(1) command-line utility has
   been added for checking the integrity of the audio store.
   
   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 207, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.2.0 -- 31 August 2012

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   HPI Enhancements.  Support for setting input modes for AudioScience
   adapters has been added (requires support in the hardware as well).

   Scripting Enhancements.  The rdcollect(1) script has been modified
   to allow multiple source files to be used.

   Report Enhancements.  It is now possible to filter data for reports
   by Group membership as well as Service and Host.  A new 'Music Summary'
   report has also been added.

   New Traffic System Preset.  A preset for 'WideOrbit Traffic' has been
   added.

   New Rivendell Loadable Module.  An 'rlm_padpoint' RLM has been added
   that can be used to send PAD data to a PadPoint processor system.

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 207, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.1.5 -- 27 July 2012

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   This is a maintenance release of Rivendell.  Some of the issues
   addressed include:

   New Rivendell Loadable Module.  An 'rlm_filewrite' RLM has been added
   that can be used to write PAD data to filesystems.

   NexGen Import Filter.  An filter for importing audio from a Prophet
   NexGen system has been added.

   New RML.  A 'Label Panel' ['PC'] RML has been added that allows
   the text and color of SoundPanel buttons to be changed programmatically.

   Multiple System Selector.  An 'RDSelect' utility has been added to
   allow hosts to be easily switched between multiple database/audio
   store instances [experimental].

   Multiple bug fixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 205, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.1.4 -- 11 May 2012

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   This is a maintenance release of Rivendell.  Some of the issues
   addressed include:

   RDCatch XLoad Wildcards.  Several new wildcards and meta-characters
   have been added for specifying URLs in RDCatch, including:
     $e -- Day of the month, space padded ( 1 - 12)
     $E -- Day of the month, unpadded (1 - 12)
     ^ --  Convert value indicated by following format character to all
           uppercase.
     $ --  Convert the initial character of the value indicated by the
           following format character to uppercase.
   A complete list of wildcards can be found in 'docs/datetime_wildcards.txt'.

   HPI Compatibility.  Updated HPI subsystem to work with the latest
   AudioScience driver versions (v4.10.x).

   RDLibrary Reports.  Fixed a problem where generated reports would
   not accurately reflect the current cart filters.

   A detailed list of all bugfixes can be found in the ChangeLog.

Database Update:
   This version of Rivendell uses database schema version 205, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.1.3 -- 20 February 2012

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   This is a maintemnance release of Rivendell.  Some of the inssues
   addressed include:

   Temporary File Cleanup.  Fixed a bug the resulted in a failure to
   removed temporary files after processing audio imports and exports.

   Audio Conversion Processing.  Fixed a bug that caused audio distoration
   when normalizing files with levels at or near full sample resolution.

   RDLogManager Hard Times.  Fixed a bug in RDLogManager that resulted in
   incorrect hard start time parameters being inserted when using sources
   from the internal music scheduler.

   A detailed list of all bugfixes can be found in the ChangeLog.

Database Update:
   This version of Rivendell uses database schema version 205, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.1.2 -- 30 December 2011

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   Shoutcast RLM.  Added an RLM plug-in for ShoutCast D.N.A.S. v1.x.

   Import/Export Error Handling.  Reworked error handling for audio
   import and export so as to provide more informative and useful
   error messages.

   Spanish Translation.  Updated Spanish (es) translation, provided
   by Luigino Bracci.

   Various Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 205, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.1.1 -- 3 November 2011

Changes:
   Fixed a regression that broke display of the Library in the Edit Event
   dialog in RDLogManager.

Database Update:
   This version of Rivendell uses database schema version 205, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.1.0 -- 2 November 2011

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   Database Skew Detection.  All Rivendell modules will now check that the
   correct database schema is in use when starting up; a mismatched schema
   will cause the module to abort with a 'database version mismatch' error.
   While, for code debugging purposes, this check can be bypassed by adding
   the '--skip-db-check' flag to the command line, its use is *strongly*
   discouraged in production settings as operating with a skewed database
   schema can cause severe database corruption!

   Library Filtering by Scheduler Code.  It is now possible to filter
   carts by scheduler code in both RDLibrary and the system-wide cart
   selector dialog.

   Traffic Light Support.  A preset for 'The Traffic Light' traffic system
   has been added to list of available scheduler systems in
   RDAdmin->ManageServices.

   Enhanced JACK Support.  A 'JACK Settings' dialog has been added in
   RDAdmin->ManageHosts, making it possible to specify the startup behavior
   and name of the JACK server instance for Rivendell to use.  Accordingly,
   the old syscontrol-based method for specifying JACK startup behavior
   should be considered deprecated and will be removed in a future version.

   New RMLs.  Two new RMLs, 'Connect JACK Ports' ['JC'] and 'Disconnect
   JACK Ports' ['JD'] have been added.  Accordingly, use of the [JackSession]
   section of rd.conf(5) should be considered deprecated; support for it
   will be removed in a future version.

   Miscelaneous Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 205, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.0.2 -- 1 June 2011

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Changes:
   SAS USI Enhancements.  Several enhancements have been added to Universal
   Serial Driver for Sierra Automated Systems devices, including the ability
   to process opto inputs and source state changes as GPI events.

   RDLogManager X11 Dependencies. It is now possible to run RDLogManager
   in batch mode without the need for an active X11 server instance.

   RLM Changes.  A new callback has been added to the RLM API to allow
   for reception of data from serial devices.

   Full System Backup/Restore Scripts.  Sample scripts for performing a
   full Rivendell backup and restore (DB+audio) have been added.  See
   'scripts/rd_backup_system.sh' and 'scripts/rd_restore_system.sh'.

   AudioScience HPI Cleanups.  The HPI driver has been refactored to 
   eliminate use of deprecated/obsolete functions and data structures.

   RMLSend Smartphone App (Experimental).  A version of the RMLSend utility
   for Apple iOS has been added.

   Miscelaneous Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 202, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v2.0.1 -- 5 April 2011

This is the first production release of Rivendell 2.x.  All changes made
since 2.0.0rc1 have involved fixes for reported bugs and improved 
integration with various distributions and desktop environments.  See
the ChangeLog for specifics.

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Database Update:
   This version of Rivendell uses database schema version 202, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.  Due to the
   complexity of the schema changes required for this update, the process
   may take significantly longer to execute than is commonly the case;
   users are cautioned to allow for ample time operationally.
-------------------------------------------------------------------------------
v2.0.0rc1 -- 11 March 2011

This is the second release candidate of Rivendell 2.x.  All changes made
since 2.0.0rc0 have involved fixes for reported bugs and improved 
integration with various distributions and desktop environments.  See
the ChangeLog for specifics.

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Database Update:
   This version of Rivendell uses database schema version 202, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.  Due to the
   complexity of the schema changes required for this update, the process
   may take significantly longer to execute than is commonly the case;
   users are cautioned to allow for ample time operationally.
-------------------------------------------------------------------------------
v2.0.0rc0 -- 16 February 2011

This is the first release candidate of Rivendell 2.x.  All changes made
since 2.0.0beta1 have involved fixes for reported bugs and improved 
integration with various distributions and desktop environments.  See
the ChangeLog for specifics.

If upgrading from a v1.x version of Rivendell, be sure to read the
'UPGRADING' file before proceeding for important information.

Database Update:
   This version of Rivendell uses database schema version 202, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.  Due to the
   complexity of the schema changes required for this update, the process
   may take significantly longer to execute than is commonly the case;
   users are cautioned to allow for ample time operationally.
-------------------------------------------------------------------------------
v2.0.0beta1 -- 11 October 2010

This is the second BETA release of Rivendell 2.x.  Some of the changes
include:

   Component Unbundling.  It is now possible to run the caed(8) and rdxport
   audio service components on separate hardware from that hosting the other
   Rivendell components.  Configured in RDAdmin->ManageHosts.

   Configurable Hotkeys.  It is now possible to assign shortcut keys for
   various functions in RDAirPlay on a host-by-host basis.  Configured in
   RDAdmin->ManageHost->RDAirPlay->ConfigureHotKeys.

   Various bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 202, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.  Due to the
   complexity of the schema changes required for this update, the process
   may take significantly longer to execute than is commonly the case;
   users are cautioned to allow for ample time operationally.
-------------------------------------------------------------------------------
v2.0.0beta0 -- 19 August 2010

This is the initial BETA release of Rivendell 2.x.  Some of the major changes
over 1.x include:

   MPEG Capture/Playout.  Rivendell can now be optionally compiled to
   support use of MPEG Layer 2 in the core storage library for all audio
   driver families (ALSA and JACK as well as AudioScience HPI).

   Web Services Architecture.  Many internal services within Rivendell are now
   implemented via a web services API.  Among other benefits, this approach
   allows these services to be easily accessed by third-party systems by means
   of the widely support HTTP protocol.

   Linux User Support.  Any 'regular' user account can now access Rivendell; 
   gone is the concept of a single 'Rivendell User' under which all Rivendell
   operations must occur.

   Replicators.  Rivendell now sports a generic replication interface that can
   be used to create services to transport audio and other Rivendell data
   to/from external systems.

Many other changes too numerous to list here have occurred as well; see the
ChangeLog for details.  For a concise summary of changes from the point of 
view of a system administator looking to upgrade an existing Rivendell 1.x
system to 2.x, see the file 'UPGRADING'.

Database Update:
   This version of Rivendell uses database schema version 199, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.  Due to the
   complexity of the schema changes required for this update, the process
   may take significantly longer to execute than is commonly the case;
   users are cautioned to allow for ample time operationally.
-------------------------------------------------------------------------------
v1.7.0 -- 22 February 2010

Changes:
   Log Import Format Presets.  Added preset import configurations in 
   RDAdmin->ManageServices for several third-party scheduler systems.
   The following systems are supported:
      CounterPoint Software
      Music 1
      PowerGold
      RadioTraffic.com
      Rivendell Standard Import
      Visual Traffic

   New AsPlayed Report Format.  An ELR format for Music 1 in has been
   added in RDAdmin->ManageReports.

   Log Import Scripts.  It is now possible to specify an optional script to be
   run at log import time before regular import processing takes place.  This
   can be configured in RDAdmin->ManageServices with the 'Preimport Command'
   fields.  These fields accept the same wildcard sequences as 'Path' fields.

   High-Resolution Timing.  This version of Rivendell debuts the ability to
   specify the start times and lengths of log events with 1/10 second
   precision.

   New Translations.  Two Norwegian translations (nn_NO and nb_NO) and a
   Spanish translation (es) have been added.

Database Update:
   This version of Rivendell uses database schema version 186, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.  Due to the
   complexity of the schema changes required for this update, the process
   may take significantly longer to execute than is commonly the case;
   users are cautioned to allow for ample time operationally.
-------------------------------------------------------------------------------
v1.6.0 -- 17 December 2009

Changes:
   New RLM Plug-in.  A new plug-in for the Liquid Compass Internet encoder has
   been added.

   Cart Notes.  Added the ability to enter free-form text for each cart in the
   Library.  This text can then be displayed in a 'help bubble' when floating
   the mouse cursor over the cart's entry in the Library cart list.

   Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 182, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.5.2 -- 25 August 2009

This is a maintenance release of Rivendell.  The following issues have been
corrected:

  Fixed problems with build the Rivendell Pluggable Authentication Module
  (PAM) plug-in.

  Fixed problems with hard-start events in RDAirPlay.

  Added checks in rddbcheck(8) to verify cart/cut/audio consistency.

  Fixed a regression that caused audio exports to fail when the path contained
  one or more spaces.

Database Update:
   This version of Rivendell uses database schema version 179, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.5.1 -- 12 August 2009

Changes:
  New Translation.  A German-language (DE) translation has been added.

  ALSA Configuration Tool.  An RDAlsaConfig application has been added that
  allows ALSA device configuration to be done completely by means of a GUI
  interface.

  Removed the requirement for sox(1).

  New Switcher Driver.  Added a driver for the BroadcastTools SS4.4 switcher.

  New Report.  Added an AsPlayed report for the RadioTraffic traffic system.

  Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 179, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.5.0 -- 8 July 2009

Changes:
  New RLM Plug-in.  A new plugin-in for the Innovonics model 713 RDS
  encoder has been added.

  Podcast System Enhancements.  It is now possible to post new episodes via
  the remote web interface.

  Bugfixes, particularly affecting the Post Point Counter in RDAirPlay, stream
  leakage issues in caed(8) and various database consistency issues in
  RDLogManager.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 179, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.4.0 -- 10 April 2009

Changes:
  Unique Cart Titles.  It is now possible to configure the system (in
  RDAdmin->SystemSettings) to disallow duplicate cart titles.

  RDAirPlay Full Log Controls.  New controls have been added to the Full Log
  widget in RDAirPlay to allow the head and tail of carts to be auditioned, as
  well as a set of log runtime counters.  To make these controls visible, it
  is necessary to check the 'Show Extra Buttons/Counters' box in
  RDAdmin->ManageHosts->RDAirPlay.

  RDCastManager Enhancements.  An Podcast episode filter has been added.  Also
  added to the online version is the ability to audition each episode by
  downloading the media file to the local system.

  Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 177, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.3.0 -- 18 March 2009

Changes:
   Podcast System Enhancements.  Support has been added to allow
   interoperation with third-party podcast traffic measurement and
   verification systems.  It is also now possible to override the default
   ordering of episodes and configure automatic redirection of feed
   subscriptions.

   RDLogManager Enhancements.  It is now possible to configure log import
   under-/over-fill warnings even for non-autofill events.  When generating
   import warnings, RDLogManager will now warn if the dayparting parameters
   would cause a scheduled event to be unplayable at its scheduled time.  An
   overall length counter has also been added for the Pre- and Post-Import
   lists in the Edit Event dialog.

   New RML.  A new 'Message Box' ['MB'] RML has been added that allows a
   popup message to sent to any Rivendell workstation. (Be sure to see the
   'MESSAGE_BOX.txt' file for information on configuring X11 to work properly
   with this feature).

   RLM Changes.  An 'rlm_album' field has been added to the metadata fields
   and the API version incremented to '1'.  A new plugin ('rlm_ando') has been
   added to allow interconnection with the Ando Media Ad Injector System.

   Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 170, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.2.2 -- 13 January 2009

This is a maintenance release of Rivendell.  The following issues have been
corrected:

   Fixed a bug in RDAirPlay that caused a segfault when loading a log with no
   SoundPanels enabled.

   Improved heiristics to detect more reliably mal-formed MPEG import files.

   Fixed a bug in RDLogManager that would generate truncated reports when the
   ELR metadata contained double-quote characters.

   Fixed a bug in RDAdmin that caused backslash characters to be 'doubled'
   when saved as part of a Windows report export path.

Database Update:
   This version of Rivendell uses database schema version 170, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.2.1 -- 29 December 2008

This is a maintenance release of Rivendell.  The following issues have been
corrected:

   Several errors in handling metadata values in file imports have been
   corrected, and support for detecting Ogg metadata tags added.

   Fixed a bug in RDAirPlay that could cause a segfault when loading a log
   over an existing log.
   
Database Update:
   This version of Rivendell uses database schema version 170, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.2.0 -- 11 December 2008

Changes:
   RDCatch Download Events.  An 'Event Offset' setting has been added to
   Download Events to allow date wildcards used in the URL field to be offset
   by the indicated number of days.

   Hard Time Handling in Logs.  The logic for processing hard start times in
   logs has been changed so that a hard time event will be executed when wall
   clock time matches regardless of it's place relative to other hard timed
   events.

   Now & Next Changes.  A new plugin architecture has been added that makes it
   possible to create "Rivendell Loadable Modules" (RLMs for short) that can
   be used to generate Now & Next PAD data to a wide array of external devices
   and services.  Runtime plugin configuration is accomplished in
   RDAdmin->ManageHosts->RDAirPlay->ConfigureNow&Next.  A set of sample
   plugins is provided for transmitting data via UDP and serial ports as well
   as for interfacing to 'social networking' services such as Twitter and
   FaceBook.  Information on writing new plugins can be found in the 'rlm.h'
   header file.

   Dropbox Changes.  Several new dropbox features have been added, including
   the ability to configure a box not to delete source files after import
   (particularly useful in conjunction with satellite-based audio delivery
   services such as AMB-OS and PRSS ContentDepot).  Also new is the ability to
   apply an automatic date offset to any encoded Start or End Date value of
   imported files.

   Automated System Management.  It is now possible to configure various
   objects to be automatically purged from the system after they expire.  For
   audio cuts, this can be configured on a group-wide basis in
   RDAdmin->ManageGroups, while Logs and ELR data purging can be configured in
   RDAdmin->ManageServices.

   RDLogManager Enhancements.  A 'Remarks' field has been added to the Event
   and Clock dialogs to provide an area for entering free-form text notes.

   GPIO Enhancements.  It is now possible to configure separate and
   independent macro carts to execute upon the rising and falling state of a
   GPIO line.

   Username Length.  The previous limit of a maximum of eight characters in a
   Rivendell username has been increased to 255, thus allowing for better
   integration with external authentication systems such as Active Directory.

   Bugfixes.  Several bugfixes have been implemented --  see the ChangeLog for
   details.

Database Update:
   This version of Rivendell uses database schema version 170, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.1.1 -- 11 November 2008

This is a maintenance release of Rivendell.  The following issues have been
corrected:

   Fixed problems in RDLogManager with saving clocks and events with names
   longer than 58 characters.

   Removed vestigal 'Overlap' transition type in RDAdmin.

   Corrected a problem in RDAdmin where certain services could not be selected
   for inclusion in a report.

   Added support for the '^' metacharacter in import paths in
   RDAdmin->ManageServices to allow for uppercasing of date values [see the
   date(1) man page for usage].

   Corrected log machine behavior so that a hard start time event occuring 
   during a previously deferred hard start event will cancel the deferred 
   event.

   Added logging for GPIO state transitions in the ripcd(8) log.

Database Update:
   This version of Rivendell uses database schema version 162, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.1.0 -- 23 October 2008

Changes:
   Custom Encoders.  It's now possible to configure Rivendell on a
   host-by-host basis to use any command-line audio encoder (e.g. FAAC, 
   FFmpeg) to drive exports, uploads and podcasts.  Information on setting it
   up can be found in 'ENCODERS.txt'.

   GPIO Enhancements.  The syntax of the 'GPI Set' [GI], 'GPO Set' [GO]
   and 'GPI Enable' [GE] RMLs has been extended and the underlying system
   modified to allow operation of all three commands with both GPI and GPO
   devices.  The old syntax is now deprecated, but still supported for
   backwards compatibiity.  Information on the new syntax can be found in
   'rml.sxw'.

   New Record RMLs.  Two new RMLs, 'Start Record Deck' [RS] and 'Stop Record
   Deck' [RR] have been added, allowing any RDCatch record deck to be
   controlled via RML.  Information on the new RMLs can be found in 'rml.sxw'.

   RDLogEdit Runtime Counters.  Time counters have been added in the Edit Log
   screen in RDLogEdit that show the predicted running time of log events from
   the currently selected event to the next STOP and the end of the log, while
   highlighting multiple events will display the runtime of the selected
   events.

   Metadata Import Enhancements.  Support has been added for importing
   metadata from files generated by the BE AudioVault system (chunk type
   'av10').


Database Update:
   This version of Rivendell uses database schema version 162, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.0.1 -- 15 August 2008

Changes:
   Incremented the version number to 1.0.1.

Database Update:
   This version of Rivendell uses database schema version 159, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.0.0rc6 -- 19 August 2008

Changes:
   Fixed a problem where ripped cuts would show an incorrect length if
   Autotrim was enabled.

   Fixed a problem with saving the 'Editor Command' field in 
   RDAdmin->ManageHosts.

   Brought the 'build slack' target for making a Slackware package up to date.

   Fixed a minor build problem when building without JACK support.

Database Update:
   This version of Rivendell uses database schema version 159, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.0.0rc5 -- 8 August 2008

Changes:
   Fixed broken compile on gcc-4.3.x.

   Removed limitations on using various 'special' (e.g. quotation and
   apostrophe) characters in database fields.

   Fixed problems with importing files with UTF-8-encoded names.

Database Update:
   This version of Rivendell uses database schema version 159, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.0.0rc4 -- 23 July 2008

Changes:
   Fixed a bug that caused audio imports to be assigned incorrect Start and
   End dates.

Database Update:
   This version of Rivendell uses database schema version 159, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.0.0rc3 -- 22 July 2008

Changes:
   Rivendell Import Filter.  An import filter for importing carts from
   another Rivendell system has been added.  See the 'rivendell_filter.TXT'
   file for usage information.

   Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 159, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.0.0rc2 -- 7 July 2008

Changes:
   AMB-OS AMR-100 Receiver Support.  Support has been added for importing
   the 'Native MP2' format files generated by the Westport Communications
   AMR-100 satellite receiver used by the AMB-OS system.

   RDDbCheck Enhancements.  Added a check for orphaned database tables to
   RDDbCheck.

   Timescaling Fixes.  A bug has been fixed that affected the precision of
   timescaling parameters when applied to long-form programs.

   Temp File Cleanup.  A bug has been fixed that was causing temporary files
   to be left behind after manually posting audio to a podcast feed.

Database Update:
   This version of Rivendell uses database schema version 159, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v1.0.0rc1 -- 24 April 2008

Changes:
   Skinnable Modules.  It's now possible to specify a 1024x738 pixel 
   'Background Image' for RDAirPlay and RDPanel in RDAdmin->ManageHosts.

   Bugfixes.  See the ChangeLog for details.
-------------------------------------------------------------------------------
v1.0.0rc0 -- 10 April 2008

Changes:
   New Switcher Device.  Support has been added for the 'Quartz' line
   of video routing switchers made by Evertz.  See the relevant
   section in 'docs/SWITCHERS.txt' for details.

   Logging Changes.  A [Logs] section has been added to rd.conf(5) for
   configuring event logging.  Logging can now be done directly to
   files (as before) or through the syslog facility.  See the comments
   in 'conf/rd.conf-sample' for details on setting this up.

   Overlap Transition Retired.  The ability to schedule 'Overlap' 
   transitions in program logs has been removed.  The equivalent 
   functionality can still be achieved by scheduling a 'Segue'
   transition with the 'No Fade at Event End' attribute enabled.  Any
   existing overlap transitions will be automatically converted when
   the database schema update is applied.

   Random Cut Rotation Retired.  The ability to schedule cuts to rotate
   'randomly' within a cart has been removed, with all cut rotation now
   using the original 'sequential' algorithm.

   Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 158, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v0.9.84 -- 3 January 2008

Changes:
   Podcasting Subsystem.  A major new subsystem has been added that permits
   automated generation and posting of audio podcasts from RDCatch, as well as
   a new RDCastManager module for manual content posting and management of
   existing podcast episodes.  RDCastManager is available in both Desktop and
   online web-based environments.

   Axia LiveWire Support.  Full switcher support for LiveWire node devices has
   been added.  See the relevant section in 'SWITCHERS.txt' for details.

   Backup Supervisor Support.  It is now possible to configure the Logitek
   vGuest driver to automatically fail over to a backup Supervisor instance in
   the event of failure of the primary Supervisor.

   Cart Auditioning.  It is now possible to audition audio in the cart picker
   dialog before placement of the cart into a log.

   Audio Editor Integration.  It is now possible to configure an external
   audio editor to be send audio directly from the cart picker dialog.

   Asynchronous Library Searches.  Added the ability to search the Library
   asynchronously to allow efficient use with very large libraries.

   BugFixes.  A major emphasis in this version of Rivendell has been in
   finding and correcting known bugs.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 155, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v0.9.82 -- 17 September 2007

Changes:
   OVERLAP Transition.  A new transition type, called 'OVERLAP' has been
   added.  Operation is similar to that of a SEGUE, except that audio from
   the finishing event is not faded out, but will play at full volumne to the
   end of the event.

   Scheduler Integration Enhancements.  A number of additions have been 
   made to allow for greater control and integration between Rivendell and
   third-party scheduling tools.  These include:

     Music Log Reconciliation.  Additional data fields have been added to the
     Music Log parser to allow for proper Electronic Log Reconciliation (ELR)
     to be configured for Music as well as Traffic logs.

     It's now possible to schedule voice tracks from imported Traffic logs by
     means of the 'Insert Voice Track' string setting in
     RDAdmin->ManageServices.

     It's now possible to insert a Log Note from imported Music logs by means
     of the 'Note Cart String' setting in RDAdmin->ManageServices.

  RDImport Options.  A new '--title-from-cartchunk-cutid' switch has been
  added to RDImport to allow title data to be extracted from CartChunk CutID
  field of imported files.

  Dependency Changes.  As of this release, the LibRadio and LibRHpi packages
  are supplied 'built-in' as part of the core Rivendell distribution.  Thus,
  it is NO LONGER NECESSARY to install these packages separately.  As part of
  this process, a new utility called 'RDHPIInfo' (formerly the 'RHPIInfo
  utility in LibRadio) has been added.

  Bug Fixes.  A major emphasis of this release has been to fix as many known
  bugs as possible.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 141, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.

-------------------------------------------------------------------------------
v0.9.81 -- 13 July 2007

Changes:
   Automatic Dropbox Mode.  A new dialog, 'RDAdmin->ManageHosts->Dropboxes'
   has been added that allows multiple dropbox import services to be easily
   configured and modified.

   Integrated Music Scheduler.  It is now possible to define music categories
   and schedule music playouts with RDLogManager.

   RDPanel Module.  A new 'RDPanel' module has been added that consists of a
   'full screen' version of the SoundPanel widget found in RDAirPlay.
   Configuration is done in RDAdmin->ManageHosts->RDPanel, and is completely
   independent of the configuration of the SoundPanel in RDAirPlay.

   SoundPanel Changes.  Several changes in the operation of the SoundPanels
   (both in RDAirPlay and RDPanel) have been made, including:

     1) Improved Panel Navigation.  Instead of traversing the set of available
        panels linearly by means of left- and right-arrow buttons, the desired
        panel can now be selected directly by means of a drop-down menu.

     2) Nameable Panels.  It's now possible to give each panel a user-defined
        name.

     3) Hook Mode.  Playouts can be set to play either the full audio content
        or just the designated hook material on a playout-by-playout basis.

     4) Customizable Default Labels.  Default button labels can be now defined
        by means of wildcards in the 'Label Template' control in
        RDAdmin->ManageHosts->RDAirPlay or RDAdmin->ManageHosts->RDPanel.

   Many bugfixes.  See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.98.0 and
   librhpi-0.94.8 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   This version of Rivendell uses database schema version 139, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after upgrading to allow 
   any necessary changes to the database schema to be applied.
-------------------------------------------------------------------------------
v0.9.80 -- 1 March 2007

Changes:
   SAS Router Support.  The SAS USI driver has been enhanced so that 
   channel names are now automatically updated from the USI server whenever
   the Rivendell daemons are started.

   RDImport Improvements.  A 'metadata-pattern=' switch has been added to
   RDImport that allows metadata to be read from fields within the filename of
   imported files.  Do 'rdimport --help' for details.

   New Metadata Format.  RDImport and RDLibrary will now import metadata from
   WAV files from Scott Studios systems.

   RDCatch Error Alarms.  RDCatch can now be configured to generate alarms
   (e.g. via e-mail or GPIO) whenever an event encounters an error.  See
   RDAdmin->ManageHosts->RDCatch.

   RDAirPlay Log Autoloading.  RDAirPlay can now be configured to
   automatically load and run specified logs at startup time.  It can also 
   be set to automatically load and resume execution of whatever log was 
   playing at the time of an unexpected system shutdown (e.g. due to power 
   failure).  See RDAdmin->ManageHosts->RDAirPlay.

   Various Bugfixes.  See the ChangeLog for details.

Database Update:
   This version of Rivendell uses database schema version 130, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.
-------------------------------------------------------------------------------
v0.9.79 -- 5 December 2006

Changes:
   Pausing SoundPanel Buttons -- It is now possible to configure
   RDAirPlay so that touching a playing SoundPanel button causes the
   playout to pause rather than stop.  This is enabled by checking the
   'Enable Button Pausing' checkbox in
   RDAdmin->ManageHosts->RDAirPlay.

   Bugfixes -- Fixed a database schema problem that was causing Pre-
   and Post-Import lists in RDLogManager to appear empty when editing
   events.

See the ChangeLog for further details.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.4 and
   librhpi-0.94.7 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   This version of Rivendell uses database schema version 128, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.77 -- 1 December 2006

This is a bugfix version of Rivendell.  Issues addressed include the
following:
   Broken PLAY Transitions -- Fixes random hangs and log stopdowns
   between events with PLAY transition type.

   Audio Importation Issues -- Fixes various issues with autotrimming
   and level normalization.

   RDLogManager Timed-Start Attributes -- Fixes a problem where an
   event would fail receive a Hard Time 'Start Immediately' attribute
   if the Pre-Import Carts list was empty.

See the ChangeLog for further details.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.4 and
   librhpi-0.94.7 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   This version of Rivendell uses database schema version 126, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.76 -- 27 November 2006

Changes:
   New/Extended RMLs -- A new 'Toggle On Air Flag' [TA] RML has been
   added that toggles the 'On Air Mode' of RDAirPlay.  A new argument
   added to the 'Start Next' [PN] RML allows log meta-events to be
   automatically skipped (useful primarily when integrating with mixer
   surfaces in Manual or LiveAssist modes).

   Log Refreshing -- It is now possible to 'refresh' a log while
   playing out, thus preserving the view of what has already been
   played in the Full Log widget while still loading updated log
   elements.  Such refreshing can be done either manually or
   configured on either a log-by-log or service-by-service basis to 
   happen automatically whenever log updates are saved to the database.

   New AsPlayed Reports -- A 'Technical Report' has been added that
   captures extended playout information from RDAirPlay (such as the 
   cause of an event start).  A 'SoundExchange Statutory License
   Report' has also been added that can be used to generate data in a
   format suitable for direct submission of music playout data to
   SoundExchange.

   Printable Reports -- It's now possible to generate ASCII-formatted
   and printable reports about virtually every aspect of Rivendell
   operation, including Cart/Cut lists, Logs, RDCatch events and
   more, by touching the 'Reports' button in the respective Rivendell
   modules.  The choice of external viewer/editor used can be set by
   means of the VISUAL environmental variable (default is 'vi' on
   Linux, 'Notepad' on Win32).

   Log Data Importer Changes -- The parser parameters for 'Length' in
   RDADmin->ManageServices has been split into sections to allow
   specification by hours, minutes and seconds as well as the previously
   supported plain seconds.

   Audio Auditioning -- It's now possible to audition audio directly
   from the Edit Log dialog in RDLogEdit and the Edit Event dialog in
   RDLogManager.  No attempt is made evaluate rotation logic when
   auditioning -- merely the first valid audio found in the selected 
   cart is played.

   Cart Validity Indication (EXPERIMENTAL) -- The color-coding of
   Carts and Cuts in RDLibrary has been altered so as to show the
   event's 'playability' *at the instant the event is viewed*.  The
   yellow 'conditional' indication has been retired.

   Many Bugfixes -- See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.4 and
   librhpi-0.94.7 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   This version of Rivendell uses database schema version 126, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.74 -- 18 September 2006

This is a bugfix version of Rivendell.  Issues addressed include the
following:
   Security Vulnerability -- Allowed users to execute commands with
   the Run Shell Command macro with permissions of the user running
   the ripcd(8) daemon (normally 'root').

   Timescaling Playouts -- Fixed a bug that was causing timescaled
   events to terminate prematurely under certain circumstances.

   Log Error Checking -- Fixed issues that were preventing changes in
   a cart's status in RDLibrary from being properly reflected in an
   already-loaded RDAirPlay log.

   JACK/ALSA Playout Optimization -- Increased the size of the audio
   ringbuffer for JACK and ALSA drivers.

See the ChangeLog for further details.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.2 and
   librhpi-0.94.7 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   This version of Rivendell uses database schema version 120, and will
   automatically upgrade any earlier versions.  To see the current schema
   version prior to upgrade, see RDAdmin->SystemInfo.

   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.
-------------------------------------------------------------------------------
v0.9.73 -- 11 September 2006

Changes:
   Group Colors -- It is now possible to assign a color to each cart
   group, allowing the group to be easily discerned within library
   lists and logs.

   RDAirPlay User Interface Tweaks -- The Estimated and Scheduled
   start time columns in the Full Log widget have been swapped.

   RDLogManager -- Embedded breaks from the music log are now
   associated with the start time of the following music event, rather
   than the preceding event.

   Many Bugfixes, especially pertaining to voicetracking and correct
   log playout.  See the ChangeLog for details.

AudioScience Driver:
   Due to stability issues with the 3.xx ASI driver versions, it is
   recommended that v 2.96 or earlier ASI drivers be used with this
   version of Rivendell.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.2 and
   librhpi-0.94.7 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.71 -- 14 August 2006

Changes:
   Copying Carts from SoundPanel in RDAirPlay.  It's now possible to
   copy carts from the SoundPanel button in RDAirPlay when touching the
   COPY button.

   VoiceTracker Rubberbanding.  Audio fadeup/fadedown points and
   levels can now be set independently of the segue overlap in the
   Voice Tracker dialog by moving the 'rubberbands' in the waveform
   windows.

   Bugfixes.  See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.2 and
   librhpi-0.94.7 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.70 -- 3 August 2006

Changes:
   PAM Authentication Module.  Allows the Rivendell user/group
   assignment to be dynamically managed by PAM-based login systems.

   Play-While-Recording/Play-While-Importing Capability.  It is now
   possible to update cut audio content even while the selfsame cut is
   playing out in RDAirPlay.  (This capability also requires that
   the libradio and librhpi packages be upgraded to the indicated
   versions in order to function properly).

   BugFixes, especially concerning voicetracking, RDLogManager log
   generation and automated downloads in RDCatch.  See the ChangeLog
   for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.2 and
   librhpi-0.94.7 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.69 -- 20 July 2006

Changes:
   Voicetracking.  A major new feature in this version, voicetracking
   gives operators the ability to insert dynamic, "one-off" audio content to
   individual logs as well as the ability to individually customize each segue
   transition of a log.  Carts for voicetracked content are automatically
   created and deleted "on-the-fly" by the system, with no need for individual
   cart management in the Library.

   RDLogManager Changes.  The sequence for generating logs in RDLogManager has
   been completely overhauled, making it now possible to generate a log and
   apply voice tracks even before Traffic import data are available (so-called 
   "incremental log linking").  Several features have also been added to
   support operation with music-intensive formats, such as the ability to
   schedule embedded voicetracks and spots sets from external music scheduling
   systems (currently only tested with RCS Selector).

   RDDBCheck.  A utility for checking consistency of the Rivendell database.
   For information, do (as root):

       rddbcheck --help

   Many, Many Bugfixes.  See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.1 and
   librhpi-0.94.6 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.68 -- 20 March 2006

Changes:
   Fixed a bug that broke CHAIN-TO events.

Library Versions:
   This version requires that, at a minimum, libradio-0.97.0 and
   librhpi-0.94.6 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.67 -- 16 March 2006

Changes:
   Audio Metadata Import Enhancements.  Rivendell will now recognize
   and import a wide variety of audio metadata formats, including:

      AES46-2002 (aka "CartChunk")
      ID3v1 and ID3v2 Tags
      TM Century "GoldWave" Extensions
      TM Century "GoldDrive" Format

   RDImport Enhancements.  RDImport has been completely rewritten from
   scratch, with an eye to improved stability and features (including
   'SingleCart' and 'DropBox' modes).  Do 'rdimport --help' at a
   command prompt to get a list of the possibilities.

   RDCatch Enhancements.  It's now possible to configure AutoTrim and
   Normalization of Download Events, as well as Normalization of
   Record Events.

   New Report Type.  An 'ASCAP/BMI Electronic Music Report' report
   format has been added.  This uses the so-called "Paris" format to
   generate EDI records that can be submitted directly to ASCAP/BMI
   for satisfaction of a station's music reporting requirements.  New
   data fields (including Composer, Publisher and Usage Type) have
   also been added to the library to accomodate this functionality.

   Many BugFixes.  See the ChangeLog for details.

-------------------------------------------------------------------------------
v0.9.66 -- 15 February 2006

Changes:
   CD Ripper Enhancements.  Major enhancements have been made to the
   CD ripper functionality in the RDLibrary module, including:

      CD-TEXT Support. The rippers now use CD-TEXT data in
      preference to the FreeDB.  If no CD-TEXT data is found on a
      disk, then the FreeDB is searched as before.

      International Standard Recording Code (ISRC) Support.  If
      found, the rippers will now record the ISRC string from each
      track.  These strings can be viewed and/or edited in the
      'CutInfo/Record' dialog box.

      Automatic Cart/Cut Generation.  In the Full Disk ripper, it's
      now possible to rip an entire CD into the system with just a few
      mouse clicks.  This can be done on a track-by-track basis by
      clicking the 'Add New Cart' button in the Select Cut dialog, or
      for all the tracks at once by clicking the 'Set All New Carts'
      button.

   New Build Targets.  It's now possible to build Rivendell as a 
   Slackware package by doing 'make slack' (requires the Slackware
   packaging tools) or as a SLAX module by doing 'make slax' (requires
   the Linux-live scripts and the Slackware packaging tools).

   RDCatch Enhancements.  The previous hard-coded system-wide limit of
   16 RDCatch decks has been removed, making it possible to configure
   and use an arbitrarily large number of decks.

   Miscellaneous Bugfixes.  See the ChangeLog.

Library Versions:
   This version requires that, at a minimum, libradio-0.96.1 and
   librhpi-0.94.5 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

 
-------------------------------------------------------------------------------
v0.9.65 -- 25 January 2006

This is a bugfix release of Rivendell.  Among the issues corrected
are:

   RDLogManager issues, including a problem with autofill events when
   the associated traffic or music import source had no matching
   events.

   Problems with Services whose name contained one or more spaces.

   Full details are in the ChangeLog.

Library Versions:
   This version requires that, at a minimum, libradio-0.95.1 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.64 -- 4 January 2006

Changes:
   Waveform Visualization Optimization.  Major work has been done on
   decreasing the time required to open a cart in RDLibrary's Marker
   Editor, for both PCM16 and MPEG formatted audio.

   Bugfixes.  See the ChangeLog.

Library Versions:
   This version requires that, at a minimum, libradio-0.95.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.63 -- 16 December 2005

Changes:
   Version and Help Switches.  Every Rivendell module can now be
   invoked with a '--version' switch to display the current version,
   or a '--help' switch to display a short usage summary.

   Scriptibility Enhancements.  Additional command switches have been
   added to RMLSend to enable it (and hence, other Rivendell modules)
   to be scripted using the full set of Linux CLI utilities (cron(1), 
   cat(1), etc).  Do 'rmlsend --help' for a full list of options.

   Startup Logs in RDAirPlay.  It's now possible to specify the
   initial logs to load upon startup of RDAirPlay on the command line.
   Do 'rdairplay --help' for the options.

   New Switcher Devices.  Support has been added for the Broadcast
   Tools SS 4.2 audio switcher and StarGuide III satellite receiver.
   See the file 'SWITCHERS.txt' for details.

   Bugfixes.  See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.62 -- 29 November 2005

This is a bugfix release of Rivendell.  Among the issues corrected
are:

   A PATH problem in the init script that was causing RDCatch Upload
   and Download events to fail.

   Problems with RDAirPlay starting a Hard Timed event reliably under
   certain situations.

   See the ChangeLog for a full list.

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.61 -- 22 November 2005

Changes:
   RDLibrary Useability Tweaks.  When new carts are created in
   RDLibrary, they are now considered to officially exist upon clicking
   the 'OK' button in the Add Cart dialog, in contradistinction to the
   old policy where they didn't 'stick' until 'OK' was clicked in the
   Edit Cart dialog.  The old way tended to be confusing for many
   opertors, as clicking 'Cancel' in the Edit Cart dialog would result
   in any recorded audio being deleted.  Also then creating a new
   cart, RDLibrary will now create a single empty cut within the cart
   by default.

   Various Bugfixes.  See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.60 -- 15 November 2005

Changes:
   ELR/Report Data Handling.  ELR/Report data is now managed on a
   Service-wide basis, rather than being associated with individual
   logs.  This is reflected in a revamped interface in RDLogManager,
   where 'Generate Reports' and 'Delete Report Data' buttons have been
   merged into a single 'Manager Report Data' button.

   SoundPanel Configuration Permissioning.  A new user right,
   'Configure System Panels', can be used to control which users are
   allowed to configure System (type 'S') Sound Panel buttons in
   RDAirPlay.

   Various Bugfixes.  Including bugs affecting the ability to
   generate a new Rivendell database and account lockouts when used
   with certain version of mySQL.

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.58 -- 4 November 2005

This release fixes a minor bug in the KDE desktop integration code for
the RPM packaging.  For users who do not install from RPM, there is no
difference between this version and v0.9.57. 

-------------------------------------------------------------------------------
v0.9.57 -- 3 November 2005

This is primarily a bugfix release of Rivendell.  Some minor user
interface tweaks have also been added:

Changes:
   SuSE Desktop Integration.  When installing from RPM, items for the
   various Rivendell modules will now be added to the Panel Menu in
   the 'Applications' and 'System->Desktop Applet' sections.

   Rivendell Icons.  A set of Rivendell icons at various resolutions
   have been added.  They can be found in the package documentation
   directory on an RPM installation, or in 'icons/' in the sources.

   Report Data Management.  It's now possible to manage report/ELR
   data independently of the log it originated from.  A new user
   attribute, called 'Delete Report Data' configures the right to
   delete Report data in the Edit User dialog.  Report data can be
   deleted either when the parent log is deleted, or by means of a new
   'Delete Report Data' button in RDLogManager.

   Numerous Bugfixes.  Including the dilly that was causing responses
   to Yes|No dialog boxes to be ignored.  See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.55 -- 11 October 2005

This is a maintenance/bugfix release of Rivendell.  The following
issues have been addressed:

   RDLibrary.
     Fixed broken marker editor.

     Fixed loss of 'Day of Week' settings when setting a cut to
     'Evergreen' (Mantis bug #85).


   RDAirPlay.
     Fixed corrupt Hard Time display in Full Log Widget (Mantis bug
     #82).

     Fixed failure of space bar to advance events after clicking Full
     Log widget (Mantis bug #60).

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.54 -- 6 October 2005

This is primarily a bugfix release of Rivendell.  Some minor user
interface tweaks have also been added:

Changes:
   RDLibrary Tweaks.  Evergreen cuts in the Edit Cart dialog now show
   with a green background.

   RML Behavior.  It is now possible to STOP a macro cart running a
   'Sleep' [SP] command in RDAirPlay.

   RDCatch Source Monitoring Tweaks.  It is now possible to set the
   default state of the source monitors for record decks in RDAdmin,
   and have the monitor's state be preserved across multiple
   invocations of RDCatch.

   RDLogManagerTweaks.  Unneeded and misleading 'Hour' fields have
   been removed from time entry fields where appropriate.

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.53 -- 28 September 2005

Changes:
   RDCatch Enhancements.  It is now possible to configure a single
   record 'window' in RDCatch and configure multiple shorter
   recordings within that window to be started by means of GPI
   closures.

   Asynchronous Macro Carts.  It's now possible to designate a macro
   cart as to be executed 'Asynchronously', meaning that, when
   executed within a log in RDAirPlay, any Sleep ['SP'] RMLs contained 
   within the cart  will not delay subsequent log events, but *will* 
   delay subsequent RML statements within the cart itself.  This can
   be useful for achieving various special effects, such as starting a
   music bed and then playing a seperately carted dry voiceover on top
   of it.  

   RDLibrary Enhancements.  RDLibrary will now give explicit warning
   about various out-of-parameter conditions (like audio carts that
   contain no audio).  It's now also possible to specify the 'Forced
   Length' of a cart (for timescaling purposes) without obscuring the
   actual average length of the cart.

   Many Bugfixes.  Especially with regard to RDCatch, MPEG encoding
   and electronic log reconciliation (ELR) functionality.  See the 
   ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.94.0 and
   librhpi-0.94.4 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.51 -- 31 August 2005

This version of Rivendell is mostly a bugfix/cleanup release.  Changes
are noted below.

Changes:
   Rdcatch_copy(1).  This is a new importer filter that can be used to
   copy RDCatch events from one Rivendell Host to another, both within
   a single database and between two different Rivendell databases.

   Importer Packaging Changes.  The utilities in the 'importers/'
   subdirectory (wings_filter(1), sas_filter(1), crc-unity4k.sh(1) 
   and rdcatch_copy(1)) now come packaged in their own seperate RPM, 
   called 'rivendell-importers'.  This is because these utilities are
   typically only used once, during system installation, and then
   removed.

   Usability Tweaks.  Several here and there, mostly to make the
   various user interfaces more consistent with each other.  See the
   ChangeLog for details.

   Various bugfixes.  See the ChangeLog for details.

-------------------------------------------------------------------------------
v0.9.49 -- 90 August 2005

Changes:
   Fixed a stupid bug that broke browsing in the Cart Selector and Cut
   Selector dialog boxes when the group selector was set to 'ALL'.

   RDCatch Enhancements.  It's now possible to schedule overlapping
   Record events with the same deck but with different GPI and 
   destination cut parameters.  RDCatch will record to the correct 
   cut on the basis of which GPI was received.

Library Versions:
   This version requires that, at a minimum, libradio-0.93.2 and
   librhpi-94.1 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.48 -- 7 August 2005

Changes:
   Upload Events in RDCatch.  It's now possible to schedule the
   automatic export and upload of audio files in RDCatch.  The
   following upload protocols are supported:
      FILE
      FTP
      SMB

   Database Support Cleanups.  Added directives to rd.conf(5) to make
   it possible for Rivendell to work with RDBMS back-ends other than
   mySQL.  This feature has not been at all well tested as of yet.

   Import Filter for AirForce 'Wings' System.  The filter can be used
   to import the entire audio archive of an AirForce 'Wings' system
   *in situ*, without requiring reencoding of audio and while
   preserving much of the library meta-data from the original system.
   See the 'WINGS_FILTER.txt' file in the documentation directory for
   more information.

   New Swticher Device Support.  Added support for the BroadcastTools
   SS16.4 swticher.

   MPEG Cleanups.  Many bugfixes regarding the use and handling of
   MPEG audio.

   RDLogEdit Fixes.  Fixed all known outstanding issues with
   RDLogEdit.

   Miscellaneous Bugfixes.  See the ChangeLog for details.

Library Versions:
   This version requires that, at a minimum, libradio-0.93.2 and
   librhpi-94.1 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.47 -- 29 July 2005

Changes:
   Download Events in RDCatch.  It's now possible to schedule the
   automatic download and import of audio files in RDCatch.  The
   following download protocols are supported:
      FILE
      FTP
      HTTP
      HTTPS
      SMB

   RDAdmin Changes.  A number of features have been added to RDAdmin
   to make configuration and management of Rivendell systems easier,
   especially for larger sites.  These include the ability to create
   new Host and Service entries using an already existing Host or
   Service as a prototype, as well as the ability to remotely inspect the
   audio configuration and capabilities of all systems on the Rivendell
   network from a single instance of RDAdmin.  Users of the ALSA
   driver may also want to consult the 'ALSA.txt' for instructions on
   adding an ALSA control device definition to their '.asoundrc'
   file.  While not strictly necessary, such a control device will
   allow Rivendell to provide more specific audio configurtion
   information.

   Numerous bugfixes, including the infamous ripcd(8) race condition.
   See the ChangeLog for details.

New Dependencies:
   Several new dependencies have been added in this release, for which
   new packages may need to be installed.  They are:

      lukemftp
      samba-client
      wget

Library Versions:
   This version requires that, at a minimum, libradio-0.93.1 and
   librhpi-94.1 be installed.  If installing from RPM, the version of
   the currently installed libraries can be determined by doing:

      rpm -q libradio
      rpm -q librhpi

Database Update:
   As always, be sure to run RDAdmin immediately after
   upgrading to allow any necessary changes to the database schema to
   be applied.

-------------------------------------------------------------------------------
v0.9.45 -- 18 July 2005

Changes:
   Full Disk Ripping.  It's now possible (by touching the 'Rip Disk'
   button in RDLibrary's main window) to rip all of the tracks on a CD
   to multiple Cart/Cut destinations in a single operation.  The 
   individual track ripper accessed from RDLibrary's Edit Cart dialog 
   remains as well.

   RDLogin User List.  The list of available user names is now shown
   in RDLogin as a pulldown list, rather than requiring the user to
   enter the name.

   Security System.  It's now impossible for the same user to be both
   an Administrator and a regular user, and checking the 'Administer
   System' box in RDAdmin's User Dialog will now gray out all the
   other checkbox choices.  This was done to discourage trolling for
   admin accounts when using RDLogin (see 'RDLogin User List' above).

   Logitek Audio Engine Support.  Full Rivendell integration with
   Logitek's Audio Engine system is now possible through use of Logitek's
   'vGuest' control API (part of their 'Supervisor' application).  I
   would like especially to thank John Davis from Logitek for his 
   invaluable assistance in getting this working.

   Bugfixes.  In particular, bugs affecting audio playout from
   RDLibrary's Edit Audio window, as well as problems with saving long
   logs.  See the ChangeLog for details.
  
-------------------------------------------------------------------------------
v0.9.38 -- 1 July 2005

Changes:
   Security System Cleanups.  A lot of time in this release has gone 
   into ensuring that the various user permission attributes are 
   correctly and consistently enforced across all of Rivendell's modules.

   Group Permissioning by User.  It is now possible to define which
   Library Groups will be visible in RDLibrary on a user-by-user
   basis.  This can be used to effectively 'partition' the Library
   into multiple 'sub-libraries'.

   RDAdmin Overhaul.  RDAdmin's UI has been overhauled to make it
   stylebook-compliant (e.g. doubleclicks now work, focus problems
   fixed, etc).  In addition, the List Groups dialog has been
   substantially expanded and enhanced.

   RDLogManager Overhaul.  Likewise, RDLogManager's UI has been
   overhauled, with many focus issues corrected.  Additionally,
   right-click menus have been added in the Edit Clock and Edit Grid
   dialogs to permit an underlying Event/Clock object to be directly 
   edited without having to reascend to the main RDLogManager window.

   Electronic Log Reconciliation.  Lots of bugfixes in the ELR
   generation routines.  Right now, this works only with the Wicks/CBSI
   'DeltaFlex' system.

   Miscellaneous Bugfixes.  A great many.  See the ChangeLog for
   details.

-------------------------------------------------------------------------------
v0.9.34 -- 1 June 2005

Changes:
   TSX Timescaling Support.  If you have an AudioScience series 61xx
   or 62xx card, it is now possible to have playout events in RDAirPlay be
   automatically timescaled to the correct length using these cards'
   'TSX Timescaling' feature, by checking the 'Enforce Length' box on
   the respective cart label in RDLibrary.

   Event and Clock Filtering.  It's now possible to filter the
   display of Events and Clocks in RDLogManager in accordance with
   their association with one or more Services.

   Audio Passthrough.  It's now possible to configure a 'Local Audio
   Adapter' switcher device, making it possible to control audio
   passing from the inputs to the outputs of the soundcards using
   standard switcher control RMLs.  See the file 'docs/SWITCHERS.txt'
   for details.

   RDCatch Record Deck Monitoring.  It's now possible configure a
   'Monitor Port' for each Record Deck in RDCatch for realtime
   monitoring of the source audio.

   Bugfixes, especially in the direct ALSA driver.  See the ChangeLog
   for details.

-------------------------------------------------------------------------------
v0.9.32 -- 10 May 2005

Changes:
   Direct ALSA Support.  It is now possible to use up to eight ALSA
   sound devices directly, without the need to use JACK. See the file
   'docs/ALSA.txt' for information on setting this up.

   RDCatch Changes.  RDCatch has been extensively rewritten to support
   the use GPI closures for controlling Record Events.  The Record
   Event dialog has been reorganized accordingly.

   Multiple Sample Rate Support.  The JACK driver will now properly
   deal with playout of audio that has been encoded with a sampling
   rate different from that being used in the active JACK graph.

   Stream Meters Hack.  It is now possible to get usable audio meters
   in all modules except RDAirPlay with older ASI cards that lack port
   metering capability.  See the file 'SupportedCards' for details.

   Default Transition Type.  It is now possible to specify the default
   transition type of newly added events in RDAdmin.

   New Switcher Types.  The BroadcastTools 16x2 and 12.4 switchers are
   now supported.

   Usability Tweaks.  Added many UI tweaks designed to enhance
   usability.  See the ChangeLog for details.

   Bugfixed.  As always, lots of these!  See the ChangeLog for details. 

-------------------------------------------------------------------------------
v0.9.26 -- 14 February 2005

Changes:
   RDLogManger:  Change the log generation logic to allow event
   overscheduling.

-------------------------------------------------------------------------------
v0.9.25 -- 8 February 2005

Changes:
   RDLogManager bugfixes.  See the ChangeLog.

-------------------------------------------------------------------------------
v0.9.24 -- 1 February 2005

Changes:
   RDLogManager usability enhancements.

   Various bugfixes.  See the ChangeLog.

-------------------------------------------------------------------------------
v0.9.23 -- 31 January 2005

Changes:
   Various bugfixes.  See the ChangeLog.

-------------------------------------------------------------------------------
v0.9.22 -- 31 January 2005

Changes:
   Various bugfixes.  See the ChangeLog.

-------------------------------------------------------------------------------
v0.9.21 -- 28 January 2005

Changes:
   Various bugfixes.  See the ChangeLog.

-------------------------------------------------------------------------------
v0.9.20 -- 27 January 2005

Changes:   
   Various bugfixes.  See the ChangeLog.

-------------------------------------------------------------------------------
v0.9.19 -- 26 January 2005

Changes:
   Various bugfixes.  See the ChangeLog.

-------------------------------------------------------------------------------
v0.9.18 -- 21 January 2005

Changes:
   Added support for the SAS 32KD Audio Switcher.

   Added new RMLs:
     'Console Label' [CL]
     'Fire Salvo' [FS]
     'Switch Take With Gain' [SG]
     'Switch Crosspoint Gain' [SX]
-------------------------------------------------------------------------------
v0.9.17 -- 17 January 2005

Changes:
   Added RDImport to the RPM build for SuSE 9.2.

   Overhauled the Event Editor dialog in RDAirPlay.  The new layout is
   hopefully more intuitive as well as more stable!

   Added support for the BroadcastTools ACS8.2 switcher.

   Added a 'Run Shell Command' [RN] RML.

   Lots of bugfixes.  See the ChangeLog.
-------------------------------------------------------------------------------
v0.9.16 -- 27 December 2004

Changes:
   Bugfixes for RDAirPlay and the init script.  See the ChangeLog.
-------------------------------------------------------------------------------
v0.9.15 -- 17 Decem,ber 2004

Changes:
   Bugfixes for RDLibrary and RDAirPlay.  See the ChangeLog.
-------------------------------------------------------------------------------
v0.9.14 -- 15 December 2004

Changes:
   Added automated database backups -- see the 'Database Backup' [DB] RML.

   Added a Windows port for RDLogEdit and RDLogManager.

   Added a 'Gas Gauge' to RDLibrary to show how much free disk space
   remains.

   Added a 'SendCommand' [CC] RML, to allow remote execution of RMLs.

   Added Host Variables, a feature that allows RML called to called
   with values specific to a given host.  See
   RDAdmin->ManageHosts->HostVariables.

   Added support for BroadcastTools 8.2 and 16.1 switchers.

   Added a 'Binary Serial Out' [BO] RML.

   Added RDGpiMon, a utility for monitoring the current status of GPI
   lines.

   Added a 'SpaceBar Action' control to
   RDAdmin->ManageHosts->RDAirPlay to allow the user to specify what
   pressing the spacebar does.

   Added a 'Flash Active Events' control to
   RDAdmin->ManageHosts->RDAirPlay to specify that active SoundPanel
   buttons should flash.

   Added the ability to AutoTrim CD rips and recordings in RDLibrary.

   Added the ability to specify a 'heartbeat cart' to be run
   periodically, in RDAdmin->ManageHosts.

   Added a 'Set Color Label' [LC] RML.

   Implemented Service permissions enforcement.

   Implemented Report Exports.  See RDAdmin->ManageReports and the
   'reports.txt' file.

   Added LiveAssist mode to RDAirPlay.

   Added the ability to PAUSE active events in RDAirPlay.  Must be
   enabled in RDAdmin->ManageHosts->RDAirPlay first.

   Added the ability for RDAirPlay to send data concern the
   currently-playing and next-to-play events to external systems via
   TCP-IP packets.  See the 'NOW+NEXT.txt' file for details.

   And, as always, swatted a huge slew of bugs.  See the ChangeLog for
   details.
-------------------------------------------------------------------------------
v0.9.0 -- 18 August 2004

Changes:
   A new log generation and merge utility has been added, called
   RDLogManager, with the ability to import schedules from most any
   third-party traffic or music scheduling system.

   More JACK tweaks -- it's now possible to configure Rivendell's init
   script to automatically start and stop jackd(1) as required.  See
   the 'JACK.txt' file in the 'docs/' directory for details.

   Numerous bugfixes.  See the ChangeLog.
-------------------------------------------------------------------------------
v0.8.0 -- 26 June 2004

Changes:
   The audio driver infrastructure has been completely rewritten to
   use dynamic output stream allocation instead of the previous
   statically assigned stream values.

   Direct ALSA support has been dropped.  In it's place, JACK support
   has been implemented.  For more information, see 'docs/JACK.txt'.

   Major stability improvements have been made on the primary
   Rivendell on-air component, RDAirPlay.

   A bushel of bugfixes throughout.  See the ChangeLog for details.
-------------------------------------------------------------------------------
v0.7.9 -- 11 February 2004

RDCatch improvements.

-------------------------------------------------------------------------------
v0.7.8 -- 11 February 2004

Test build for Sherrod Munday at SRN.

-------------------------------------------------------------------------------
v0.7.3 -- 28 January 2004

Various bugfixes and UI tweaks.

-------------------------------------------------------------------------------
v0.7.1 -- 01/27/2004

Major changes:
   It's now possible to schedule a "switcher event" in RDCatch.

-------------------------------------------------------------------------------
v0.7.0 -- 22 January 2004

Major changes:

   Macro carts are now implemented.

-------------------------------------------------------------------------------
v0.5.0 -- 21 November 2003

The initial BETA release.  Testing version only!!

A complete set of basic tools now exists, as follows:

RDAdmin -- System administration and configuration

RDLibrary -- Production library application.

RDCatch -- Netcatcher control and monitoring

RDLogin -- Set the current system user

RDLogEdit -- Generate and edit air logs

RDAirPlay -- On-air playout application

-------------------------------------------------------------------------------
v0.1.0 -- 1 August 2002

The initial "Friendship 7" release.  Contains two programs:

    RDRecord -- A WAV file recorder.

    RDPlay -- A WAV file player.

Boths utilities support PCM16 and MPEG-1 Layer 2 format and most of
the common meta-data types found in broadcast applications --i.e. BWF
and CartChunk.

This release has the following major goals:

1) Provide a thorough shakedown of the AudioScience HPI driver.

2) Test the wave file implementation (RWaveFile and friends) for
   correctness and compatibility with existing systems in the field.

3) Test the build mechanism in a variety of different distro environments. 

4) Start defining a standard look-and-feel (looking for feedback on
   this one).

-------------------------------------------------------------------------------
